Bug 133437 - up2date fails to download packages but tries to continue with updating process
up2date fails to download packages but tries to continue with updating process
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-23 19:53 EDT by Rodd Clarkson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 23:32:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rodd Clarkson 2004-09-23 19:53:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
up2date will fail to completely download a package, but still offers
to continue with the update, causing an rpm error that then fails,
usually leaving that package that should have been updated uninstalled.

up2date should never try to install an RPM that hasn't fully been
downloaded.  I have seen this happen numerous times while using
up2date to try and update my system since upgrading to FC3t2 from FC2.
 (While using FC2 I would always download the RPMs suing ftp and then
manually update using rpm -F)

As a suggested solution, up2date should check that the download was
completed before moving to the next stage.

If the download was incomplete, then up2date should ask whether is
should fail to update, ignore the package or try to download the
package again.



Version-Release number of selected component (if applicable):
up2date-4.3.38-1.1

How reproducible:
Sometimes

Steps to Reproduce:
1. Use up2date to install updates.
   

Actual Results:  Some packages just fail to download completely, but
up2date continues regardless

Expected Results:  up2date should handle this situation appropriately
as suggested above.

Additional info:
Comment 1 Rodd Clarkson 2004-09-23 21:05:17 EDT
Here's the error message that's generated after up2date continues with
the update after failing to download a package completely.

-----------------------------------------------------
There was a fatal RPM install error. The message was:
There was a rpm unpack error  installing the package:
gnome-user-docs-2.8.0.1-1
                                             [ OK ]
-----------------------------------------------------

And after downloading the package in questions seperately using ftp
(it's removed the package so it doesn't see it as needing updating
anymore) here's some output trying to install is using rpm:

[root@clownfish ~]# rpm -Fvh
/home/rodd/Fedora/gnome-user-docs-2.8.0.1-1.noarch.rpm
[root@clownfish ~]# rpm -Uvh
/home/rodd/Fedora/gnome-user-docs-2.8.0.1-1.noarch.rpm
Preparing...               
########################################### [100%]
   1:gnome-user-docs       
########################################### [100%]
[root@clownfish ~]#

NOTE: the  first version is using Freshen, so it doesn't do anything
because the old package was removed.
Comment 2 Matthew Miller 2006-07-10 18:01:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.